# LoggingTransferListener (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.xfer
Class LoggingTransferListener

    java.lang.Object
      net.schmizz.sshj.xfer.LoggingTransferListener

All Implemented Interfaces:
  StreamCopier.Listener, TransferListener

    public class LoggingTransferListener

extends Object
implements TransferListener

Constructor Summary
`LoggingTransferListener()`

Method Summary
`void` `finishedDir()`
`void` `finishedFile()`
`void` `reportProgress(long transferred)`
`void` `startedDir(String name)`
`void` `startedFile(String name, long size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingTransferListener

    public LoggingTransferListener()

Method Detail

### startedDir

    public void startedDir(String name)

  Specified by:
    `startedDir` in interface `TransferListener`

### startedFile

    public void startedFile(String name,
                            long size)

  Specified by:
    `startedFile` in interface `TransferListener`

### reportProgress

    public void reportProgress(long transferred)

  Specified by:
    `reportProgress` in interface `StreamCopier.Listener`

### finishedFile

    public void finishedFile()

  Specified by:
    `finishedFile` in interface `TransferListener`

### finishedDir

    public void finishedDir()

  Specified by:
    `finishedDir` in interface `TransferListener`

Copyright © 2009-2011. All Rights Reserved.